.document-component {
  width: 100%;
  height: 100%;
  &__inner {
    width: 100%;
    height: 100%;
    min-width: 100vw;
    min-height: 100vh;
    padding-top: 64px;
    clear: both;
    position: relative;
    @include themify($themes) {
      background: themed('backgroundLight');
    }
    display: flex;
    flex-direction: row;
    margin: 0 auto;
  }
  &__left {
    z-index: 10;
    overflow: scroll;
    height: calc(100vh - 64px);
    top: 64px;
    left: 0;
    width: 300px;
    position: fixed;
    @include themify($themes) {
      background: themed('backgroundLight');
    }
    @include mq-down(xl) {
      width: 240px;
    };
    @include mq-down(lg) {
      display: none;
    };
    &-in {
      margin-right: auto;
      height: 100%;
      position: relative;
    }
  }
  &__wrapper {
    display: block;
    width: calc(100% - 300px);
    flex: 1;
    min-height: calc(100vh - 461px - 64px);
    position: absolute;
    align-items: stretch;
    top: 64px;
    right: 0;
    bottom: 0;
    left: 0;
    margin-left: auto;
    @include themify($themes) {
      background: themed('backgroundLight');
    }
    @include mq-down(xl) {
      width: calc(100% - 240px);
    };
    @include mq-down(lg) {
      width: calc(100%);
    };
    @include mq-down(md) {
      width: calc(100%);
      min-height: 0vh;
    };
    &-in {
      display: flex;
      flex-direction: row;
      flex-wrap: nowrap;
      width: 100%;
      min-height: calc(100vh - 461px - 64px);
      @include mq-down(md) {
        min-height: 0vh;
      };
      position: relative;
      align-items: stretch;
      @include themify($themes) {
        background: themed('backgroundLight');
      }
    }
  }
  &__right {
    position: sticky;
    top: 64px;
    overflow: scroll;
    order: 3;
    z-index: 10;
    max-height: calc(100vh - 64px);
    height: 100%;
    width: 100%;
    padding-left: 44px;
    padding-right: 0px;
    width: 30%;
    flex: 1 0 30%;
    @include mq-down(md) {
      display: none;
    };
    &-in {
      // max-width: 300px;
      // margin-right: auto;
      width: 100%;
      height: 100%;
      @include themify($themes) {
        // background: themed('backgroundLight');
      }
    }
    // min-width: 250px;
    // flex: 0 0 300px;
    // position: fixed;
    // top: 64px;
    // right: 32px;
  }
  &__center {
    order: 2;
    width: 70%;
    flex: 1 0 70%;
    height: 100%;
    margin: 0 auto;
    max-width: 800px;
    @include mq-down(md) {
      flex: 1 0 100%;
      width: 100%;
    };
    &-in {
      padding: 24px 0;
      padding-left: 44px;
      height: 100%;
      margin: 0 auto;
      width: calc(100%);
      @include mq-down(lg) {
        padding-left: 24px;
      };
      @include mq-down(md) {
        padding: 0px 0;
      };
      @include themify($themes) {
        background: themed('backgroundLight');
      }
    }
  }
}
